Loading...
Searching...
No Matches
pcl::SVMDataPoint Struct Reference

The structure initialize a single feature value for the classification using SVM (Support Vector Machines). More...

`#include <pcl/ml/svm_wrapper.h>`

## Public Member Functions

| SVMDataPoint ()=default

## Public Attributes

int | idx {-1}
| It's the feature index. It has to be an integer number greater or equal to zero.
float | value {0.0f}
| The value assigned to the correspondent feature.

## Detailed Description

The structure initialize a single feature value for the classification using SVM (Support Vector Machines).

Definition at line 100 of file svm_wrapper.h.

## Constructor & Destructor Documentation

## SVMDataPoint()

pcl::SVMDataPoint::SVMDataPoint | ( |  | ) |

default

## Member Data Documentation

## idx

int pcl::SVMDataPoint::idx {-1}

It's the feature index. It has to be an integer number greater or equal to zero.

Definition at line 102 of file svm_wrapper.h.

## value

float pcl::SVMDataPoint::value {0.0f}

The value assigned to the correspondent feature.

Definition at line 104 of file svm_wrapper.h.

The documentation for this struct was generated from the following file:

- pcl/ml/svm_wrapper.h